VIGRA - Import/export of volume data.

[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| Import/export of volume data. |
--- | --- | ---

## Functions
template<class T, class Allocator> void | importVolume (MultiArray< 3, T, Allocator > &volume, const std::string &name_base, const std::string &name_ext)
| Function for importing a 3D volume.
template<class T, class Tag> void | exportVolume (MultiArrayView< 3, T, Tag > const &volume, const std::string &name_base, const std::string &name_ext)
| Function for exporting a 3D volume.

## Function Documentation

void exportVolume | ( | MultiArrayView< 3, T, Tag > const & | volume,
|  | const std::string & | name_base,
|  | const std::string & | name_ext
| ) |

| Function for exporting a 3D volume. The volume is exported in a by-slice manner, where the number of slices equals the depth of the volume. The file names will be enumerated like `name_base+"000"+name_ext`, `name_base+"001"+name_ext` etc. (the actual number of zeros depends on the depth). #include "vigra/multi_impex.hxx" Namespace: vigra

void importVolume | ( | MultiArray< 3, T, Allocator > & | volume,
|  | const std::string & | name_base,
|  | const std::string & | name_ext
| ) |

| Function for importing a 3D volume. The data are expected to be stored in a by-slice manner, where the slices are enumerated from `name_base+"[0-9]+"+name_ext`. `name_base` may contain a path. All slice files with the same name base and extension are considered part of the same volume. Slice numbers must be non-negative, but can otherwise start anywhere and need not be successive. Slices will be read in ascending numerical (not lexicographic) order. All slices must have the same size. The `volume` will be reshaped to match the count and size of the slices found. #include "vigra/multi_impex.hxx" Namespace: vigra

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.5.0 (7 Dec 2006)